require "scripts/style";

function AddBitmap(s2,x2,y2)
		return Bitmap{
			name = ""..s2,
			x = x2, y = y2,
			image="minigames/minigame_wires/buttons_ac/"..s2,
		}
end

MakeDialog
{
	name="mg2",
	Minigame02
	{
		x=0,
		y=0,
		w=1024,
		h=768,


		startX = 300,
		startY = 220,
		endX = 180,
		endY = 220,
		dy = 82,
		

		Bitmap
		{
			image = "minigames/minigame_wires/_back",
			x=kCenter,
			y=kCenter,
			
			AddBitmap("blue",91,257),
			AddBitmap("green",91,341),
			AddBitmap("red",91,179),
			AddBitmap("white",91,173),
			AddBitmap("yellow",91,347),
		},
		
		SetStyle(ButtonStyle),
		Button
		{
			graphics = { "buttons/buttondown","buttons/buttonrollover","buttons/buttonup" },
			label = "MG_Skip",
			name = "mg_skip_button",
			font = {standardFont,40,WhiteColor},
			x=kCenter+380,
			y=682,
			close = true,
			command=function() SendGameMessage("_:Exit Minigame:Finished"); end;
		},
		Button
		{
			graphics = { "buttons/buttondown","buttons/buttonrollover","buttons/buttonup" },
			label = "MG_Menu",
			name = "mg_menu_button",
			font = {standardFont,40,WhiteColor},
			x=kCenter-380,
			y=682,
			command=function() DoModal('scripts/mng_pause.lua') end;
		}

	}
}

SetWindowVisible("mg_skip_button",false);